package com.kingdee.eas.custom.compensation.startingsalary;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SalaryConfirmationFactory
{
    private SalaryConfirmationFactory()
    {
    }
    public static com.kingdee.eas.custom.compensation.startingsalary.ISalaryConfirmation getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.startingsalary.ISalaryConfirmation)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("819DF3F4") ,com.kingdee.eas.custom.compensation.startingsalary.ISalaryConfirmation.class);
    }
    
    public static com.kingdee.eas.custom.compensation.startingsalary.ISalaryConfirmation getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.startingsalary.ISalaryConfirmation)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("819DF3F4") ,com.kingdee.eas.custom.compensation.startingsalary.ISalaryConfirmation.class, objectCtx);
    }
    public static com.kingdee.eas.custom.compensation.startingsalary.ISalaryConfirmation getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.startingsalary.ISalaryConfirmation)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("819DF3F4"));
    }
    public static com.kingdee.eas.custom.compensation.startingsalary.ISalaryConfirmation getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.startingsalary.ISalaryConfirmation)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("819DF3F4"));
    }
}